/**
 * @typedef {{
 * html?: string;
 * filePath?: string;
 * }} HTMLTemplateOptions
 *
 * @typedef {{
 * resolvedRoutes: import('../isomorphic/constructRoutes').ResolvedRoutesConfig;
 * parsedDocument: import('parse5').Document;
 * }} ServerLayout
 *
 * @param {HTMLTemplateOptions} templateOptions
 * @returns {ServerLayout}
 */
export function constructServerLayout(templateOptions: HTMLTemplateOptions): ServerLayout;
export type HTMLTemplateOptions = {
    html?: string;
    filePath?: string;
};
export type ServerLayout = {
    resolvedRoutes: import('../isomorphic/constructRoutes').ResolvedRoutesConfig;
    parsedDocument: import('parse5').Document;
};
